Subject: Re: completing-read in pcvs.el

From: Stefan Monnier <[email-masked]>
Date: Tue, 09 Sep 2008 09:32:54 -0400

>> Emacs also accepts a list (at least since Emacs-22, maybe even
>> Emacs-21), so that's not a problem.
> Sorry, I couldn't catch the deescription for try-completion in info elisp-3.

> "In particular, a list of strings or symbols is allowed, even though
>      we usually do not think of such lists as alists."

> And I understood it.

> But I think, using completion-read should unite,
> pcvs.el:1280 uses alist, but 2247 list.

I do not understnad "should unite".  Rather than talk about the code,
please tell me which behavior of PCL-CVS is affected.  I.e. give
a recipe exhibiting undesirable behavior.

        Stefan